from flask_restful import Resource
from flask import current_app as app, request

import requests

class LaunchProxy(Resource):
    def post(self):
        url = "https://apidgp-gameplayer.games.dmm.com/v5/launch/cl"
        headers = {"User-Agent": "DMMGamePlayer5-Win/5.3.12 Electron/32.1.0",
                "Client-App": "DMMGamePlayer5",
                    "Client-version": "5.3.12",
                    "Content-Type": "application/json"}

        with requests.Session() as session:
            requests.utils.add_dict_to_cookiejar(session.cookies, request.cookies)
            response = session.post(url, headers=headers, data=request.data)
            
            result = app.response_class(
                    response=response.text,
                    status=200,
                    mimetype='application/json'
            )
            result.headers.add("Access-Control-Allow-Origin", "*")

            return result 
        
class FilelistProxy(Resource):
    def post(self):
        url = "https://apidgp-gameplayer.games.dmm.com/v5/filelist/cl"
        headers = {"User-Agent": "DMMGamePlayer5-Win/5.3.12 Electron/32.1.0",
                "Client-App": "DMMGamePlayer5",
                    "Client-version": "5.3.12",
                    "Content-Type": "application/json"}

        with requests.Session() as session:
            requests.utils.add_dict_to_cookiejar(session.cookies, request.cookies)
            response = session.post(url, headers=headers, data=request.data)
            
            result = app.response_class(
                    response=response.text,
                    status=200,
                    mimetype='application/json'
            )
            result.headers.add("Access-Control-Allow-Origin", "*")

            return result 